/// <reference types="react" />
export declare const ButtonStyled: import("@emotion/styled").StyledComponent<Omit<import("react").ButtonHTMLAttributes<HTMLButtonElement>, "onClick"> & {
    size: "lg" | "md" | "sm" | "xs";
    children?: import("react").ReactNode;
    color?: "primary" | "secondary" | "transparent" | "tertiary" | "ghost" | "danger" | "success";
    theme?: "helloSites" | "marryBaby";
    isDisabled?: boolean;
    isBlock?: boolean;
    title?: string;
    className?: string;
    icon?: JSX.Element;
    iconPosition?: "left" | "right";
    isLoading?: boolean;
    loadingText?: string;
    onClick?: import("react").MouseEventHandler<HTMLButtonElement>;
    dataEventCategory?: string;
    dataEventAction?: string;
    dataEventLabel?: string;
    dataProductChannel?: string;
    dataProductSku?: string;
    dataProductBrand?: string;
    dataProductName?: string;
    dataProductPrice?: string;
    dataProductCategory?: string;
    dataProductPosition?: string;
    type?: "button" | "submit" | "reset";
    component?: import("react").ElementType<any>;
    href?: string;
} & {
    theme?: import("@emotion/react").Theme;
}, {}, {}>;
export declare const ButtonBackStyled: import("@emotion/styled").StyledComponent<Omit<import("react").ButtonHTMLAttributes<HTMLButtonElement>, "onClick"> & {
    size: "lg" | "md" | "sm" | "xs";
    children?: import("react").ReactNode;
    color?: "primary" | "secondary" | "transparent" | "tertiary" | "ghost" | "danger" | "success";
    theme?: "helloSites" | "marryBaby";
    isDisabled?: boolean;
    isBlock?: boolean;
    title?: string;
    className?: string;
    icon?: JSX.Element;
    iconPosition?: "left" | "right";
    isLoading?: boolean;
    loadingText?: string;
    onClick?: import("react").MouseEventHandler<HTMLButtonElement>;
    dataEventCategory?: string;
    dataEventAction?: string;
    dataEventLabel?: string;
    dataProductChannel?: string;
    dataProductSku?: string;
    dataProductBrand?: string;
    dataProductName?: string;
    dataProductPrice?: string;
    dataProductCategory?: string;
    dataProductPosition?: string;
    type?: "button" | "submit" | "reset";
    component?: import("react").ElementType<any>;
    href?: string;
} & {
    theme?: import("@emotion/react").Theme;
} & {
    children?: import("react").ReactNode;
}, {}, {}>;
export declare const SubotInlineFooterStyled: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme;
    as?: import("react").ElementType<any>;
}, import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {}>;
